Bug 1761149 (CVE-2019-2987) - CVE-2019-2987 OpenJDK: Missing glyph bitmap image dimension check in FreetypeFontScaler (2D, 8225286)
Summary: CVE-2019-2987 OpenJDK: Missing glyph bitmap image dimension check in Freetype...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-2987
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1754089 1754096 1760369 1760981 1760982 1754086 1754087 1754088 1754094 1754095 1754097 1754098 1760368 1760370
Blocks: 1753424
TreeView+ depends on / blocked
 
Reported: 2019-10-12 21:54 UTC by Tomas Hoger
Modified: 2019-12-03 01:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-03 01:05:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3141 None None None 2019-10-17 18:57:15 UTC
Red Hat Product Errata RHBA-2019:3148 None None None 2019-10-18 09:02:42 UTC
Red Hat Product Errata RHBA-2019:3186 None None None 2019-10-23 19:17:50 UTC
Red Hat Product Errata RHBA-2019:3188 None None None 2019-10-23 08:44:04 UTC
Red Hat Product Errata RHBA-2019:3739 None None None 2019-11-06 13:32:47 UTC
Red Hat Product Errata RHBA-2019:3741 None None None 2019-11-06 14:22:57 UTC
Red Hat Product Errata RHBA-2019:3823 None None None 2019-11-11 12:52:02 UTC
Red Hat Product Errata RHBA-2019:3830 None None None 2019-11-12 12:37:31 UTC
Red Hat Product Errata RHBA-2019:3831 None None None 2019-11-12 12:45:47 UTC
Red Hat Product Errata RHBA-2019:3884 None None None 2019-11-14 13:30:04 UTC
Red Hat Product Errata RHBA-2019:3885 None None None 2019-11-14 13:26:15 UTC
Red Hat Product Errata RHBA-2019:3937 None None None 2019-11-20 21:05:25 UTC
Red Hat Product Errata RHSA-2019:3127 None None None 2019-10-16 14:45:45 UTC
Red Hat Product Errata RHSA-2019:3128 None None None 2019-10-16 14:19:02 UTC
Red Hat Product Errata RHSA-2019:3134 None None None 2019-10-17 09:57:54 UTC
Red Hat Product Errata RHSA-2019:3135 None None None 2019-10-17 09:59:13 UTC
Red Hat Product Errata RHSA-2019:3136 None None None 2019-10-17 14:27:28 UTC
Red Hat Product Errata RHSA-2019:3157 None None None 2019-10-21 15:11:48 UTC
Red Hat Product Errata RHSA-2019:3158 None None None 2019-10-21 15:00:40 UTC

Description Tomas Hoger 2019-10-12 21:54:10 UTC
It was discovered that the FreetypeFontScaler class in the 2D component in OpenJDK did not perform checks dimension of glyph bitmap images read from font files.  A specially crafted font file could use this flaw to cause a Java application to crash when processing glyph images of excessive size.

Comment 1 Tomas Hoger 2019-10-15 21:02:28 UTC
Public now via Oracle CPU October 2019:

https://www.oracle.com/security-alerts/cpuoct2019.html#AppendixJAVA

Fixed in Oracle Java SE 13.0.1 and 11.0.5.

Comment 2 errata-xmlrpc 2019-10-16 14:19:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3128 https://access.redhat.com/errata/RHSA-2019:3128

Comment 3 errata-xmlrpc 2019-10-16 14:45:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3127 https://access.redhat.com/errata/RHSA-2019:3127

Comment 4 errata-xmlrpc 2019-10-17 09:57:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3134 https://access.redhat.com/errata/RHSA-2019:3134

Comment 5 errata-xmlrpc 2019-10-17 09:59:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3135 https://access.redhat.com/errata/RHSA-2019:3135

Comment 8 errata-xmlrpc 2019-10-17 14:27:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3136 https://access.redhat.com/errata/RHSA-2019:3136

Comment 9 errata-xmlrpc 2019-10-21 15:00:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3158 https://access.redhat.com/errata/RHSA-2019:3158

Comment 10 errata-xmlrpc 2019-10-21 15:11:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3157 https://access.redhat.com/errata/RHSA-2019:3157

Comment 12 Product Security DevOps Team 2019-12-03 01:05:10 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-2987


Note You need to log in before you can comment on or make changes to this bug.